import {
  geoNaturalEarth1,
  geoPath,
  geoGraticule,
} from 'd3';
// Define the projection, path generator, and graticule
const projection = geoNaturalEarth1();// Define the projection as Natural Earth 1
const path = geoPath(projection); // Create a path generator based on the projection
const graticule = geoGraticule();// Create a graticule generator
// Define the Marks component as a function that takes a "data" prop
export const Marks = ({ data: { interiors, land } }) => (
  <g className="marks">
     {/* Draw the sphere */}
    <path className="sphere" d={path({ type: 'Sphere' })} />
     {/* Draw the graticules */}
    <path className="graticules" d={path(graticule())} />
 {/* Draw the land */}
    {land.features.map((feature) => (
      <path className="land" d={path(feature)} />
    ))}
{/* Draw the interiors */}
    <path className="interiors" d={path(interiors)} />
  </g>
);
