import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
//import {} from 'd3';

import { useData } from './useData';

import { Marks } from './Marks';
// Define the dimensions of the SVG element
const width = 950;
const height = 550;

const App = () => {
  // Call the useData hook to fetch and process the data
  const data = useData();
    // If the data hasn't been loaded yet, show a "loading" message
  if (!data) {
    return <p>wait!!</p>;
  }
 // Otherwise, render the map using the data
  return (
    <svg width={width} height={height}>
      <Marks
        data={data}
      
      />
    </svg>
  );
};
// Find the root element in the HTML and render the app to it
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
